Bug 15669 - Install documentation missing
Summary: Install documentation missing
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: php   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-07 18:17 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-08 15:36:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-08-07 18:17:35 UTC
php-pgsql-3.0.15-2.i386.rpm

In order to install this package you need to edit
php3.ini and add two lines:
extension_dir = /usr/lib/apache
extension=pgsql.so

The RPM doesn't include either a README nor an INSTALL file.
I was thinking the info in the RPM should include the
installation instructions.

(I just spent close to 2 hours trying to install this,
which is why I marked it high priority.) My first guess
was that this was to be installed as an apache module.

Thanks

Comment 1 Nalin Dahyabhai 2000-08-07 20:24:35 UTC
The package's %post script should handle editing the php.ini file for you,
unless it has been modified drastically from the default.  The version in the
development tree still does this.

Comment 2 Need Real Name 2000-08-07 21:26:23 UTC
Well, I picked up the package from one of your mirrors this
morning (not from the dev tree), and it did not change the
php3.ini file.


Comment 3 Nalin Dahyabhai 2000-08-07 21:45:34 UTC
That's odd.  Is your php3.ini file the same as the one distributed in the
package?  What does running "rpm -qp --scripts" against the package show?

Comment 4 Need Real Name 2000-08-07 22:07:07 UTC
postinstall script (through /bin/sh):
perl -pi -e 's|^;extension=pgsql.so|extension=pgsql.so|g' /etc/httpd/php3.ini
postuninstall script (through /bin/sh):
if [ $1 = 0 ]; then
  perl -pi -e 's|^extension=pgsql.so|;extension=pgsql.so|g' /etc/httpd/php3.ini
fi

#%post mysql
#perl -pi -e 's|^;extension=mysql.so|extension=mysql.so|g' /etc/httpd/php3.ini

#%postun mysql
#if [ $1 = 0 ]; then
#  perl -pi -e 's|^extension=mysql.so|;extension=mysql.so|g'
/etc/httpd/php3.ini#fi


Comment 5 Nalin Dahyabhai 2000-08-07 22:10:03 UTC
What is the output of "grep pgsql.so /etc/httpd/php3.ini"?

Comment 6 Need Real Name 2000-08-07 22:31:55 UTC
grep pgsql.so /etc/httpd/php3.ini
extension=pgsql.so

diff /etc/httpd/php3.ini /etc/httpd/php3.ini.orig
146d145
< extension_dir = /usr/lib/apache
# this was the line that I had to add to make it work
# once I knew which file to look at


Comment 7 Nalin Dahyabhai 2000-08-08 14:46:31 UTC
Looking at the php3.ini included in the package shows that it includes:
extension_dir   =  /usr/lib/apache/  ; directory in which the loadable
extensions (modules) reside


Comment 8 Need Real Name 2000-08-08 15:23:48 UTC
What php3.ini included in the package?

[efm@gwen efm]$ rpm -qlp php-pgsql-3.0.15-2.i386.rpm
/usr/lib/apache/pgsql.so

Do you mean from some other package?

Comment 9 Nalin Dahyabhai 2000-08-08 15:36:39 UTC
Yes, php-3.0.15-2.i386.rpm.


Note You need to log in before you can comment on or make changes to this bug.